For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomeGuidesAPI ReferenceChangelog
HomeGuidesAPI ReferenceChangelog
  • Quotes API
  • Products API
      • GETConfiguration by ID
      • GETConfiguration by Code
      • GETConfiguration by ID and date
      • GETBenefits
      • GETOptions
  • Policies API
  • Card Token API
  • Users API
LogoLogo
Products APIPlan

Configuration by ID

GET
https://api-staging.nibtravelinsurance.com/products/v1/:brandCode/plans/:planId
GET
/products/v1/:brandCode/plans/:planId
$curl https://api-staging.nibtravelinsurance.com/products/v1/nibau/plans/1000000 \
> -H "Authorization: Bearer <token>"
200World Nomads - Plan Id 280
1{
2 "expirySeconds": 86400,
3 "planId": 280,
4 "code": "AUSTANDARD",
5 "name": "Standard",
6 "insuranceContractId": 40,
7 "policyNumberPrefix": "WN",
8 "policyNumberFormat": "[Prefix][JurisdictionCountryCode][Year][IncrementNumber]",
9 "underwriterCode": "piiau",
10 "currencyCode": "AUD",
11 "homeCountryCodes": [
12 "AUS"
13 ],
14 "pdsUrl": "v2/wn/insuranceContract/40/pds?preferredDocumentFileType=HTML&planId=280&lang=en",
15 "purchaseTermsAndConditions": [
16 {
17 "termConditionId": 2421,
18 "customerDeclarationText": "I/we have read, understood and agree to the terms and conditions in the DOCUMENT0, including <a href=\"https://products-api.worldnomads.com/v1/wn/regulatoryWordingDocuments/1069your-duty-to-us\" target=\"_blank\">Your Duty to Us</a>, and I/we agree to receive all policy documents electronically.",
19 "tokenReplacements": [
20 {
21 "token": "DOCUMENT0",
22 "label": "Product Disclosure Statement",
23 "url": "/v1/wn/regulatoryWordingDocuments/1069"
24 }
25 ],
26 "countryCode": "AUS",
27 "provinceCode": "provinceCode",
28 "policyActionTypeId": 1,
29 "destinationCountryCodes": [
30 "destinationCountryCodes"
31 ],
32 "partnerGroupIds": [
33 1000000
34 ]
35 },
36 {
37 "termConditionId": 2423,
38 "customerDeclarationText": "I confirm that all people named on the policy are UNDERWRITERCONTENT0 of Australia.",
39 "tokenReplacements": [
40 {
41 "token": "UNDERWRITERCONTENT0",
42 "label": "residents",
43 "underwriterContentType": "RESIDENTDEFINITIONTEXT"
44 }
45 ],
46 "countryCode": "AUS",
47 "provinceCode": "provinceCode",
48 "policyActionTypeId": 1,
49 "destinationCountryCodes": [
50 "destinationCountryCodes"
51 ],
52 "partnerGroupIds": [
53 1000000
54 ]
55 },
56 {
57 "termConditionId": 2447,
58 "customerDeclarationText": "I/we understand that this policy does not cover losses arising from government intervention including broadly imposed quarantine or border closures; that <a href=\"https://www.worldnomads.com/help/insurance/recent-events\" target=\"_blank\">travel advice</a> may impact our cover and there is no cover for any events that there is a ‘Do Not Travel’ warning for in our destination.",
59 "tokenReplacements": [
60 {}
61 ],
62 "countryCode": "AUS",
63 "provinceCode": "provinceCode",
64 "policyActionTypeId": 1,
65 "destinationCountryCodes": [
66 "destinationCountryCodes"
67 ],
68 "partnerGroupIds": [
69 1000000
70 ]
71 },
72 {
73 "termConditionId": 2444,
74 "customerDeclarationText": "I/we understand this policy will not cover existing medical conditions, except automatically covered conditions and when all criteria are met.",
75 "tokenReplacements": [
76 {}
77 ],
78 "countryCode": "AUS",
79 "provinceCode": "provinceCode",
80 "policyActionTypeId": 1,
81 "destinationCountryCodes": [
82 "destinationCountryCodes"
83 ],
84 "partnerGroupIds": [
85 1000000
86 ]
87 },
88 {
89 "termConditionId": 2448,
90 "customerDeclarationText": "I/we have read in full and accept the <a href=\"https://www.worldnomads.com/privacy\" target=\"_blank\">Privacy Policy</a> and agree for personal details to be used to provide travel insurance services.",
91 "tokenReplacements": [
92 {}
93 ],
94 "countryCode": "AUS",
95 "provinceCode": "provinceCode",
96 "policyActionTypeId": 1,
97 "destinationCountryCodes": [
98 "destinationCountryCodes"
99 ],
100 "partnerGroupIds": [
101 1000000
102 ]
103 }
104 ],
105 "overrideJurisdictionCountryCode": "overrideJurisdictionCountryCode",
106 "overrideJurisdictionProvinceCode": "overrideJurisdictionProvinceCode",
107 "effectiveFromDate": "effectiveFromDate",
108 "effectiveToDate": "effectiveToDate",
109 "availableTranslations": {
110 "key": "value"
111 },
112 "quoteType": "SINGLETRIP",
113 "brandCode": "brandCode"
114}
Was this page helpful?
Previous

Configuration by Code

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

brandCodeenumRequired
Brand code
Allowed values:
planIdlongRequiredDefaults to 0

A valid Plan ID - see /underwriters

Query parameters

preferredDocumentFileTypestringOptional
langstringOptional
partnerCodestringOptional
effectiveAtstringOptional
The point in time which the response relates to

Response

Success
expirySecondsinteger
planIdlongDefaults to 0
codestring
namestring
insuranceContractIdlongDefaults to 0
policyNumberPrefixstring
policyNumberFormatstring
underwriterCodestring
currencyCodestring
homeCountryCodeslist of strings
pdsUrlstring
purchaseTermsAndConditionslist of objects
overrideJurisdictionCountryCodestring
overrideJurisdictionProvinceCodestring
effectiveFromDatestring
effectiveToDatestring
availableTranslationsmap from strings to optional strings
quoteTypestring
brandCodestring